package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 退款管理-申请内容和计划关联关系表
 * </p>
 *
 * @author yafan
 * @since 2024-03-14
 */
@TableName("refunds_apply_details_pay_coll_plan_ref")
public class RefundsApplyDetailsPayCollPlanRef implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 收放款计划(保理融资款)表id
     */
    @TableField("pay_coll_plan_factoring_id")
    private Long payCollPlanFactoringId;

    /**
     * 退款管理-申请内容表Id
     */
    @TableField("refunds_apply_details_id")
    private Long refundsApplyDetailsId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getPayCollPlanFactoringId() {
        return payCollPlanFactoringId;
    }

    public void setPayCollPlanFactoringId(Long payCollPlanFactoringId) {
        this.payCollPlanFactoringId = payCollPlanFactoringId;
    }
    public Long getRefundsApplyDetailsId() {
        return refundsApplyDetailsId;
    }

    public void setRefundsApplyDetailsId(Long refundsApplyDetailsId) {
        this.refundsApplyDetailsId = refundsApplyDetailsId;
    }

    @Override
    public String toString() {
        return "RefundsApplyDetailsPayCollPlanRef{" +
            "id=" + id +
            ", payCollPlanFactoringId=" + payCollPlanFactoringId +
            ", refundsApplyDetailsId=" + refundsApplyDetailsId +
        "}";
    }
}
